Description

Alternative to make_shared and make_unique in standard library.

One<T> one = MakeOne<T>(...);

// Still valid - however in below case you need to explicitly use new keyword - that means troubles...

One<T> one(new T()); 

MakeOne looks much better for dependency injection that one.

History

#1 - 01/01/2017 03:10 PM - Zbigniew Rebacz

- Description updated

#2 - 01/01/2017 03:11 PM - Zbigniew Rebacz

- Description updated

#3 - 01/23/2017 10:11 PM - Zbigniew Rebacz

- Target version changed from Release 2017.1 to Release 2017.2

#4 - 02/21/2017 11:38 AM - Miroslav Fidler

- Status changed from New to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#5 - 03/11/2017 09:28 PM - Zbigniew Rebacz

- Status changed from Ready for QA to Approved
